Skip to main content
GET
/
members
cURL
curl https://api.growthbook.io/api/v1/members \
  -u secret_abc123DEF456:
{
  "members": [
    {
      "id": "<string>",
      "email": "<string>",
      "globalRole": "<string>",
      "name": "<string>",
      "environments": [
        "<string>"
      ],
      "limitAccessByEnvironment": true,
      "managedbyIdp": true,
      "teams": [
        "<string>"
      ],
      "projectRoles": [
        {
          "project": "<string>",
          "role": "<string>",
          "limitAccessByEnvironment": true,
          "environments": [
            "<string>"
          ]
        }
      ],
      "lastLoginDate": "2023-11-07T05:31:56Z",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

userName
string

Name of the user.

userEmail
string

Email address of the user.

globalRole
string

Name of the global role

Response

200 - application/json

Success

members
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required